=== modified file 'drizzled/function/str/sysconst.cc'
--- drizzled/function/str/sysconst.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/str/sysconst.cc	2009-01-01 17:36:53 +0000
@@ -19,6 +19,7 @@
 
 #include <drizzled/server_includes.h>
 #include CSTDINT_H
+#include <drizzled/item/string.h>
 #include <drizzled/function/str/sysconst.h>
 
 Item *Item_func_sysconst::safe_charset_converter(const CHARSET_INFO * const tocs)

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2009-01-01 03:07:33 +0000
+++ drizzled/item.h	2009-01-01 17:36:53 +0000
@@ -587,7 +587,6 @@
 
 };
 
-#include <drizzled/item/blob.h>
 #include <drizzled/item/ident.h>
 
 void mark_as_dependent(Session *session,

=== modified file 'drizzled/item/empty_string.h'
--- drizzled/item/empty_string.h	2008-12-09 19:33:58 +0000
+++ drizzled/item/empty_string.h	2009-01-01 17:36:53 +0000
@@ -26,6 +26,8 @@
   the client.
 */
 
+#include <drizzled/item/string.h>
+
 class Item_empty_string :public Item_string
 {
 public:

=== modified file 'drizzled/item/float.cc'
--- drizzled/item/float.cc	2008-12-15 21:42:00 +0000
+++ drizzled/item/float.cc	2009-01-01 17:36:53 +0000
@@ -21,6 +21,7 @@
 #include CSTDINT_H
 #include <drizzled/error.h>
 #include <drizzled/item/num.h>
+#include <drizzled/item/string.h>
 #include <drizzled/item/float.h>
 #include CMATH_H
 

=== modified file 'drizzled/item/hex_string.cc'
--- drizzled/item/hex_string.cc	2008-12-09 19:33:58 +0000
+++ drizzled/item/hex_string.cc	2009-01-01 17:36:53 +0000
@@ -20,6 +20,7 @@
 #include <drizzled/server_includes.h>
 #include CSTDINT_H
 #include <drizzled/error.h>
+#include <drizzled/item/string.h>
 #include <drizzled/item/hex_string.h>
 
 inline uint32_t char_val(char X)

=== modified file 'drizzled/item/num.cc'
--- drizzled/item/num.cc	2008-12-15 04:06:04 +0000
+++ drizzled/item/num.cc	2009-01-01 17:36:53 +0000
@@ -21,6 +21,7 @@
 #include CSTDINT_H
 #include <drizzled/item/uint.h>
 #include <drizzled/item/num.h>
+#include <drizzled/item/string.h>
 #include <drizzled/item/decimal.h>
 
 /**

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-23 08:17:40 +0000
+++ drizzled/show.cc	2009-01-01 17:36:53 +0000
@@ -28,6 +28,7 @@
 #include <drizzled/error.h>
 #include <drizzled/tztime.h>
 #include <drizzled/data_home.h>
+#include <drizzled/item/blob.h>
 #include <drizzled/item/cmpfunc.h>
 #include <drizzled/item/return_int.h>
 #include <drizzled/item/empty_string.h>

